Subject: bug#54006: closed (Re: bug#54006: Duplicate test)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 15 Feb 2022 17:43:01 +0000

Your bug report

#54006: Duplicate test

which was filed against the grep package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
54006: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=54006
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#54006: Duplicate test
From: Jim Meyering <[email-masked]>
To: Ulrich Eckhardt <[email-masked]>
Cc: [email-masked]
Date: Tue, 15 Feb 2022 09:41:57 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On Mon, Feb 14, 2022 at 8:42 PM Ulrich Eckhardt
<[email-masked]> wrote:
> there's a duplicate test in tests/empty, see attached patch.
>
> I'm working on a few other improvements, so please provide feedback if
> there's anything I should do differently in the future.

Thank you. I've applied that, edited the commit log to make it
conform, and pushed.
See the file HACKING for policy on how to write Emacs-style ChangeLog
entries for grep commit logs. E.g., title is not a sentence and
usually has no punctuation. And each affected file name is called out.
Sometimes function names are also listed, e.g.,

* dir/file_name (func1, func2): Description.

Subject: Duplicate test
From: Ulrich Eckhardt <[email-masked]>
To: [email-masked]
Date: Tue, 15 Feb 2022 00:06:50 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Greetings,

there's a duplicate test in tests/empty, see attached patch.

I'm working on a few other improvements, so please provide feedback if
there's anything I should do differently in the future.

Cheers!

Uli
>From a33fdfb0318bb4dd4e6c7bb09453c801447fc403 Mon Sep 17 00:00:00 2001
From: Ulrich Eckhardt <[email-masked]>
Date: Mon, 14 Feb 2022 19:58:45 +0100
Subject: [PATCH] tests: Remove redundant test.

Test #4 is identical to test #1.
---
 tests/empty | 9 +--------
 1 file changed, 1 insertion(+), 8 deletions(-)

diff --git a/tests/empty b/tests/empty
index 8e070e7..44b691d 100755
--- a/tests/empty
+++ b/tests/empty
@@ -39,17 +39,10 @@ for locale in C en_US.UTF-8; do
           failures=1
         fi
 
-        # should return 0 found a match
-        echo "" | LC_ALL=$locale timeout 10s grep $options -e ''
-        if test $? -ne 0 ; then
-          echo "Status: Wrong status code, test \#4 failed ($options $locale)"
-          failures=1
-        fi
-
         # should return 0 found a match
         echo abcd | LC_ALL=$locale timeout 10s grep $options -e ''
         if test $? -ne 0 ; then
-          echo "Status: Wrong status code, test \#5 failed ($options $locale)"
+          echo "Status: Wrong status code, test \#4 failed ($options $locale)"
           failures=1
         fi
     done
-- 
2.32.0